#ifndef _DEVICEINFO_H
#define _DEVICEINFO_H

class DeviceInfoItem {
private:
	class DeviceInfoItem *succ, *prev;
	char *friendly_name;
	char *device_path;
public:
	DeviceInfoItem(char *name, char *path);
	~DeviceInfoItem();
	void SetFriendlyName(char *name);
	void SetDevicePath(char *path);
	char *GetFriendlyName(void) { return friendly_name; }
	char *GetDevicePath(void) { return device_path; }
	class DeviceInfoItem *Next(void) { return succ; }
};

extern void DestroyDeviceInfoList(void);
extern DeviceInfoItem *BuildDeviceInfoList(CKsEnumFilters *enumerator);

#endif

